# ReflectionGenerator::getExecutingFile

(PHP 7)

ReflectionGenerator::getExecutingFile — Gets the file name of the currently executing generator

### Description

public ReflectionGenerator::getExecutingFile ( void ) : string

Get the full path and file name of the currently executing generator.

### Parameters

This function has no parameters.

### Return Values

Returns the full path and file name of the currently executing generator.

### Examples

Example #1 ReflectionGenerator::getExecutingFile() example

`<?php
class GenExample
{
public function gen()
{
yield 1;
}
}
$gen = (new GenExample)->gen();
$reflectionGen = new ReflectionGenerator($gen);
echo "File: {$reflectionGen->getExecutingFile()}";`

The above example will output something similar to:

    File: /path/to/file/example.php

### See Also

- ReflectionGenerator::getExecutingLine() - Gets the currently executing line of the generator
- ReflectionGenerator::getExecutingGenerator() - Gets the executing Generator object